:root {
    --main-gradient: linear-gradient(180deg, #491941 0%, #AF3C9C 100%);
}

html {
    scroll-behavior: smooth;
}

@font-face {
    font-family: 'Almarai';
    font-weight: 800;
    src: url('./fonts/Almarai-ExtraBold.woff2') format('woff2');
    font-display: swap;
}

@font-face {
    font-family: 'Rubik';
    font-weight: 500;
    src: url('./fonts/Rubik-VariableFont_wght.ttf') format('truetype');
    font-display: swap;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Tajawal, sans-serif;
    background-color: #faf9f5;
}

/* Navbar */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 30px;
}

.nav-links {
    display: flex;
    list-style: none;
    gap: 60px;
    padding: 18px 30px;
    font-size: 29px;
    line-height: 60px;
    background: var(--main-gradient);
    color: #fbf7f7;
    border-radius: 30px;
}

.nav-links li a {
    color: #fbf7f7;
    font-weight: 500;
    text-decoration: none;
    font-size: 2rem;
    position: relative;
    display: inline-block;
}

.nav-links li a::after {
    content: "";
    position: absolute;
    right: 0;
    bottom: 3px;
    width: 0;
    height: 3px;
    background-color: #fbf7f7;
    transition: width 0.3s ease;
}

.nav-links li a:hover::after {
    width: 100%;
}

.login-btn a {
    background: var(--main-gradient);
    color: #fbfbfb;
    border-radius: 30px;
    padding: 25px 30px;
    text-decoration: none;
    font-weight: bold;
    transition: background 0.3s;
    font-size: 32px;
}

/* Responsive بسيط */
@media (max-width: 768px) {
    .nav-links {
        display: none;
    }
}


/* Hero Section */
.hero {
    position: relative;
    padding: 60px 80px;
    border-end-end-radius: 48px;
    border-end-start-radius: 48px;
    background-color: #faf9f5;
}

.hero-grid {
    max-width: 92%;
    margin: auto;
    display: flex;
    justify-content: space-evenly;
    gap: 35px;
}

.hero-text {
    padding-top: 50px;
    flex: 2;
}

.hero-title,
.hero-title-2 {
    display: none;
    font-family: 'Almarai', sans-serif;
    font-weight: 800;
    font-size: 51px;
    text-align: right;
    background: linear-gradient(180deg, #491941 0%, #AF3C9C 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-stroke: 8px transparent;
    color: #fbf7f7;
    -webkit-text-fill-color: #fbf7f7;
    display: inline-block;
    line-height: 1.8;
}

.hero-title-2 {
    display: none;
}

.hero-desc {
    padding-top: 40px;
    width: 80%;
    color: #491941;
    font-size: 32px;
    font-weight: 500;
    line-height: 48px;
}

.hero-btn {
    padding: 20px 30px;
    background: linear-gradient(85.97deg, #491941 -30.57%, #AF3C9C 100.39%);
    border-radius: 24px;
    font-size: 32px;
    color: #fbf7f7;
    font-weight: 700;
    border: none;
    float: left;
    margin-left: 20px;
    cursor: pointer;
}

.hero-btn a {
    text-decoration: none;
    color: #fbf7f7;
}

.inline-btn {
    border: 3px solid #ab3b98;
    background-image: none;
    transition: background-color 0.3s ease, transform 0.2s ease;
}

.inline-btn:hover {
    background-color: #AF3C9C;
}

.inline-btn a {
    transition: color 0.3s ease;
    color: #ab3b98;
}

.inline-btn:hover a {
    color: #fbf7f7;
}

.hero-btn .download-gif {
    width: 50px;
}

.hero-phone {
    flex: 1;
}

.hero-phone img {
    position: absolute;
    left: 80px;
    top: 30px;
}

.main {
    background: var(--main-gradient);
    margin-top: -4rem;
    padding-top: 18rem;
    padding-bottom: 8rem;
}

.main-text {
    padding-right: 5%;
    margin: auto;
}

.main-title {
    font-weight: 700;
    font-size: 42px;
    color: #faf9f5;
}

.main-list {
    list-style: none;
    padding-top: 2rem;
    color: #faf9f5;
    font-size: 24px;
    line-height: 50px;
}

.main-footer-text {
    padding-top: 3rem;
    font-size: 28px;
    font-weight: 700;
    text-align: center;
    color: #faf9f5;
}

.main-desc {
    padding-top: 1.4rem;
}

.user-guide {
    padding-block: 32px 40px;
}

.user-guide-title {
    font-family: Almarai;
    font-weight: 800;
    font-size: 56px;
    padding-right: 5%;
    padding-top: 3%;
    background-image: linear-gradient(180deg, #491941 0%, #AF3C9C 100%);
    color: transparent;
    background-clip: text;
}

.steps-wrapper {
    display: flex;
    justify-content: space-around;
}

.step {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
}

.number-wrapper {
    position: relative;
    width: 260px;
    height: 260px;
    display: grid;
    place-items: center;
    font-family: 'Rubik', sans-serif;
    font-size: 250px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 30px;
}

.number-wrapper::before {
    content: attr(data-number);
    position: absolute;
    inset: 0;
    display: grid;
    place-items: center;
    background: linear-gradient(120deg,
            #B67C2B 0%,
            #CCA45F 20%,
            #F0E4C3 45%,
            #E4D0B2 50%,
            #E2C085 65%,
            #C2924D 85%,
            #B77E2C 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 12px transparent;
    filter: drop-shadow(0 0 6px rgba(0, 0, 0, 0.25));
    z-index: 1;
}

.number-wrapper::after {
    content: attr(data-number);
    position: relative;
    display: grid;
    place-items: center;
    background: linear-gradient(180deg, #491941 0%, #AF3C9C 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    z-index: 2;
}

.number-desc {
    background: #fff;
    padding: 20px;
    margin-top: -30px;
    width: 180%;
    max-width: 300px;
    text-align: center;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    color: #7a3e7c;
    font-size: 14px;
    line-height: 1.5;
}

.number-desc strong {
    display: block;
    text-align: right;
    font-size: 1.3rem;
    margin-bottom: 8px;
}

.number-desc span {
    text-align: right;
    display: block;
    font-size: 1.15rem;
}


.hr {
    background-color: #ab3b98;
    height: 20px;
    margin-block: 20px;
}

.footer-section {
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding-bottom: 14px;
}

.footer-section a {
    font-size: 1.75rem;
    text-decoration: none;
    font-weight: 700;
    color: #ab3b98;
    cursor: pointer;
}

.footer-logo {
    margin-bottom: 8px;
}

.footer-copyright {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: #ab3b98;
}

@media (max-width: 1323px) {
    .nav-links {
        gap: 30px;
    }

    .nav-links li a,
    .login-btn a {
        font-size: 1.3rem;
    }

}

@media (max-width: 1024px) and (min-width: 768px) {
    .hero {
        padding-inline: 0;
    }

    .hero-phone {
        display: none;
    }

    .hero-desc {
        width: 100%;
    }

    .navbar {
        padding: 15px 15px;
    }

    .nav-links {
        line-height: 30px;
        gap: 25px;
    }

    .nav-links li a {
        font-size: .95rem;
    }

    .login-btn a {
        padding: 20px;
        font-size: 0.95rem;
    }

    .main {
        padding-inline: 20px;
        padding-top: 10rem;
    }

    .steps-wrapper {
        flex-wrap: wrap;
        justify-content: center;
        gap: 24px;
    }

    .step {
        flex: 0 1 calc(50% - 24px);
    }

    .footer-section a {
        font-size: 1.2rem;
    }

    .footer-copyright img {
        width: 50%;
    }
}

@media screen and (max-width: 767px) {
    .main {
        padding-top: 9rem;
    }

    h2 {
        font-size: 2.25rem !important;
    }

    .hero {
        padding-inline: 8px;
        padding-top: 20px;
    }

    .hero-grid {
        display: flex;
        flex-direction: column-reverse;
    }

    .login-btn a {
        padding: 24px 20px;
        font-size: 1.25rem;
    }

    .hero-desc {
        font-size: 19px;
        line-height: 30px;
        padding-block: 16px;
        width: 100%;
    }


    .hero-title-2 {
        font-size: clamp(1.5rem, 8vw, 3rem);
        padding-bottom: 20px;
        display: block;
    }

    .hero-title {
        display: none;
    }

    .hero-text {
        padding-top: 0;
    }

    .hero-phone img {
        position: static;
        width: 100%;
        padding-inline: 24px;
    }

    .btn-wrapper {
        display: flex;
        flex-direction: column;
        gap: 16px;
        margin-top: 12px;
    }

    .hero-btn {
        padding: 16px 22px;
        font-size: 22px;
        margin-left: 0;
    }

    .steps-wrapper {
        flex-direction: column;
        align-items: center;
        gap: 24px;
    }

    .step {
        width: 100%;
        max-width: 360px;
    }

    .footer-section {
        display: flex;
        flex-direction: column;
        gap: 40px;
    }
}